|  | Home | Documentation | wsdd__HelloType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
wsdd__HelloType Struct Reference

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":HelloType is a complexType. More...

`#include <wsdd.h>`

Collaboration diagram for wsdd__HelloType:
[legend]

## Public Attributes

_wsa5__EndpointReference | wsa5__EndpointReference
| Imported element reference "http://www.w3.org/2005/08/addressing":EndpointReference.
wsdd__QNameListType | Types
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Types.
struct wsdd__ScopesType * | Scopes
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Scopes.
wsdd__UriListType | XAddrs
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":XAddrs.
unsigned int | MetadataVersion
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":MetadataVersion.

## Detailed Description

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":HelloType is a complexType.

struct wsdd__HelloType operations:

- wsdd__HelloType* soap_new_wsdd__HelloType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wsdd__HelloType(struct soap*, wsdd__HelloType*) default initialize members
- int soap_read_wsdd__HelloType(struct soap*, wsdd__HelloType*) deserialize from a source
- int soap_write_wsdd__HelloType(struct soap*, wsdd__HelloType*) serialize to a sink
- wsdd__HelloType* soap_dup_wsdd__HelloType(struct soap*, wsdd__HelloType* dst, wsdd__HelloType <em>src) returns deep copy of wsdd__HelloType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wsdd__HelloType(wsdd__HelloType

) deep deletes wsdd__HelloType data members, use only on dst after soap_dup_wsdd__HelloType(NULL, wsdd__HelloType *dst, wsdd__HelloType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ MetadataVersion

unsigned int wsdd__HelloType::MetadataVersion

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":MetadataVersion.

Required element.

## ◆ Scopes

struct wsdd__ScopesType* wsdd__HelloType::Scopes

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Scopes.

Optional element.

## ◆ Types

wsdd__QNameListType wsdd__HelloType::Types

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Types.

Optional element.

## ◆ wsa5__EndpointReference

_wsa5__EndpointReference wsdd__HelloType::wsa5__EndpointReference

Imported element reference "http://www.w3.org/2005/08/addressing":EndpointReference.

Required element.

## ◆ XAddrs

wsdd__UriListType wsdd__HelloType::XAddrs

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":XAddrs.

Optional element.

The documentation for this struct was generated from the following file:

- wsdd.h